skype does not workon amd64, libqtcore strang?

Bug #272384 reported by SoloTurn on 2008-09-20
This bug report is a duplicate of:  Bug #271550: ia32-libs missing libQtDBus, others?. Edit Remove
2
Affects Status Importance Assigned to Milestone
qt4-x11 (Ubuntu)
Undecided
Unassigned

Bug Description

http://wiki.ubuntuusers.de/getlibs describes how to install skype for amd64. i'm using intrepid-aplpha-6.

guest:~/Desktop$ sudo getlibs /usr/bin/skype
libQtDBus.so.4: libqt4-core
libQtGui.so.4: libqt4-gui
libQtNetwork.so.4: libqt4-core
libQtCore.so.4: libqt4-core
The following i386 packages will be installed:
libqt4-core
libqt4-gui
Continue [Y/n]?
Downloading ...
Installing libraries ...

guest:~/Desktop$ ldd /usr/bin/skype
 linux-gate.so.1 => (0xf7f68000)
 libasound.so.2 => /usr/lib32/libasound.so.2 (0xf7e8e000)
 libXv.so.1 => /usr/lib32/libXv.so.1 (0xf7e88000)
 libXss.so.1 => /usr/lib32/libXss.so.1 (0xf7e83000)
 librt.so.1 => /lib32/librt.so.1 (0xf7e7a000)
 libQtDBus.so.4 => not found
 libQtGui.so.4 => /usr/lib32/libQtGui.so.4 (0xf76df000)
 libQtNetwork.so.4 => not found
 libQtCore.so.4 => not found
 libpthread.so.0 => /lib32/libpthread.so.0 (0xf76c5000)
 libstdc++.so.6 => /usr/lib32/libstdc++.so.6 (0xf75d7000)
 libm.so.6 => /lib32/libm.so.6 (0xf75b1000)
 libgcc_s.so.1 => /usr/lib32/libgcc_s.so.1 (0xf75a3000)
 libc.so.6 => /lib32/libc.so.6 (0xf7444000)
 libX11.so.6 => /usr/lib32/libX11.so.6 (0xf7355000)
 libXext.so.6 => /usr/lib32/libXext.so.6 (0xf7346000)
 libdl.so.2 => /lib32/libdl.so.2 (0xf7342000)
 /lib/ld-linux.so.2 (0xf7f69000)
 libaudio.so.2 => /usr/lib32/libaudio.so.2 (0xf732a000)
 libXt.so.6 => /usr/lib32/libXt.so.6 (0xf72d8000)
 libpng12.so.0 => /usr/lib32/libpng12.so.0 (0xf72b2000)
 libSM.so.6 => /usr/lib32/libSM.so.6 (0xf72a9000)
 libICE.so.6 => /usr/lib32/libICE.so.6 (0xf7291000)
 libQtCore.so.4 => not found
 libz.so.1 => /usr/lib32/libz.so.1 (0xf727a000)
 libgthread-2.0.so.0 => /usr/lib32/libgthread-2.0.so.0 (0xf7274000)
 libglib-2.0.so.0 => /usr/lib32/libglib-2.0.so.0 (0xf71bd000)
 libXi.so.6 => /usr/lib32/libXi.so.6 (0xf71b3000)
 libXrender.so.1 => /usr/lib32/libXrender.so.1 (0xf71a9000)
 libXrandr.so.2 => /usr/lib32/libXrandr.so.2 (0xf71a2000)
 libXfixes.so.3 => /usr/lib32/libXfixes.so.3 (0xf719c000)
 libXcursor.so.1 => /usr/lib32/libXcursor.so.1 (0xf7193000)
 libXinerama.so.1 => /usr/lib32/libXinerama.so.1 (0xf7190000)
 libfreetype.so.6 => /usr/lib32/libfreetype.so.6 (0xf711a000)
 libfontconfig.so.1 => /usr/lib32/libfontconfig.so.1 (0xf70ed000)
 libxcb-xlib.so.0 => /usr/lib32/libxcb-xlib.so.0 (0xf70ea000)
 libxcb.so.1 => /usr/lib32/libxcb.so.1 (0xf70d0000)
 libXau.so.6 => /usr/lib32/libXau.so.6 (0xf70cd000)
 libpcre.so.3 => /lib32/libpcre.so.3 (0xf70a3000)
 libexpat.so.1 => /usr/lib32/libexpat.so.1 (0xf707c000)
 libXdmcp.so.6 => /usr/lib32/libXdmcp.so.6 (0xf7076000)

getlibs scheint es auch tatsächlich nicht geholt zu haben / installiert zu haben:

$ ls /usr/lib32/libQt*
/usr/lib32/libQtAssistantClient.so.4 /usr/lib32/libQtGui.so.4
/usr/lib32/libQtAssistantClient.so.4.3 /usr/lib32/libQtGui.so.4.3
/usr/lib32/libQtAssistantClient.so.4.3.2 /usr/lib32/libQtGui.so.4.3.2
/usr/lib32/libQtDesignerComponents.so.4 /usr/lib32/libQtOpenGL.so.4
/usr/lib32/libQtDesignerComponents.so.4.3 /usr/lib32/libQtOpenGL.so.4.3
/usr/lib32/libQtDesignerComponents.so.4.3.2 /usr/lib32/libQtOpenGL.so.4.3.2
/usr/lib32/libQtDesigner.so.4 /usr/lib32/libQtSvg.so.4
/usr/lib32/libQtDesigner.so.4.3 /usr/lib32/libQtSvg.so.4.3
/usr/lib32/libQtDesigner.so.4.3.2 /usr/lib32/libQtSvg.so.4.3.2

very strange to me is:
$ sudo wajig list-wide libqt4-core
ii libqt4-core 4.4.1-0ubuntu2 transitional package for Qt 4 core non-GUI runtime libraries
$ sudo wajig list-files libqt4-core
/.
/usr
/usr/share
/usr/share/doc
/usr/share/doc/libqt4-core
/usr/share/doc/libqt4-core/copyright
/usr/share/doc/libqt4-core/changelog.Debian.gz
/usr/share/doc/libqt4-core/changelog.gz
/usr/share/doc/libqt4-core/GPL_EXCEPTION_ADDENDUM.TXT.gz

$ sudo wajig whichpkg libQtCore.so.4
File Path Package
===========================================================-=================
INSTALLED
/usr/lib/libQtCore.so.4.4.1 libqtcore4
/usr/lib/libQtCore.so.4 libqtcore4
/usr/lib/libQtCore.so.4.4 libqtcore4
-----------------------------------------------------------------------------
AVAILABLE
-----------------------------------------------------------------------------

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers